from fast_tradier.FastTradierClient import FastTradierClient
from fast_tradier.FastTradierAsyncClient import FastTradierAsyncClient
import asyncio

ticker = 'spx'
exp = '2024-02-12'
act_id = "6YA19668"
token = "aJTJO4radwrGcnGu0tjCYydLG0q5"
tradier_client = FastTradierClient(access_token=token, account_id=act_id, is_prod=True)
async_client = FastTradierAsyncClient(access_token=token, account_id=act_id, is_prod=True)
# opt_result = tradier_client.get_option_chain(symbol=ticker, expiration=exp)
# print(opt_result)

# account_orders = tradier_client.get_account_orders()
# for acc_order in account_orders:
#     print(acc_order.to_json())
#     print('------' * 8)

async def async_test() -> None:
    account_orders = await async_client.get_account_orders_async()
    for acc_order in account_orders:
        print(acc_order.to_json())
        print('---------' * 8)
        if hasattr(acc_order, 'avg_fill_price'):
            print('avg fill: ', acc_order.avg_fill_price)

if __name__ == '__main__':
    asyncio.run(async_test())

"""
{'id': 48304375, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 1.8, 'avg_fill_price': -1.9, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:24:04.487Z', 'transaction_date': '2024-02-12T16:24:04.895Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48304376, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.8, 'avg_fill_price': 2.9, 'exec_quantity': 1.0, 'last_fill_price': 2.9, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:24:04.487Z', 'transaction_date': '2024-02-12T16:24:04.895Z', 'class': 'option', 'option_symbol': 'SPXW240212C05050000'}, {'id': 48304377, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.8, 'avg_fill_price': 1.0, 'exec_quantity': 1.0, 'last_fill_price': 1.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:24:04.487Z', 'transaction_date': '2024-02-12T16:24:04.895Z', 'class': 'option', 'option_symbol': 'SPXW240212C05060000'}]}
------------------------------------------------
{'id': 48306010, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 2.1, 'avg_fill_price': -2.15, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:28:03.921Z', 'transaction_date': '2024-02-12T16:28:04.123Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48306011, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 2.1, 'avg_fill_price': 3.32, 'exec_quantity': 1.0, 'last_fill_price': 3.32, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:28:03.921Z', 'transaction_date': '2024-02-12T16:28:04.123Z', 'class': 'option', 'option_symbol': 'SPXW240212C05050000'}, {'id': 48306012, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 2.1, 'avg_fill_price': 1.17, 'exec_quantity': 1.0, 'last_fill_price': 1.17, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:28:03.921Z', 'transaction_date': '2024-02-12T16:28:04.123Z', 'class': 'option', 'option_symbol': 'SPXW240212C05060000'}]}
------------------------------------------------
{'id': 48307823, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 2.25, 'avg_fill_price': -2.25, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:32:03.589Z', 'transaction_date': '2024-02-12T16:32:09.070Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48307824, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 2.25, 'avg_fill_price': 3.65, 'exec_quantity': 1.0, 'last_fill_price': 3.65, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:32:03.589Z', 'transaction_date': '2024-02-12T16:32:09.070Z', 'class': 'option', 'option_symbol': 'SPXW240212C05055000'}, {'id': 48307825, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 2.25, 'avg_fill_price': 1.4, 'exec_quantity': 1.0, 'last_fill_price': 1.4, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T16:32:03.589Z', 'transaction_date': '2024-02-12T16:32:09.070Z', 'class': 'option', 'option_symbol': 'SPXW240212C05065000'}]}
------------------------------------------------
{'id': 48319871, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 1.05, 'avg_fill_price': 1.05, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T17:24:05.849Z', 'transaction_date': '2024-02-12T17:26:40.372Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48319872, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.05, 'avg_fill_price': 1.52, 'exec_quantity': 1.0, 'last_fill_price': 1.52, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T17:24:05.849Z', 'transaction_date': '2024-02-12T17:26:40.372Z', 'class': 'option', 'option_symbol': 'SPXW240212C05055000'}, {'id': 48319873, 'type': 'debit', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.05, 'avg_fill_price': 0.47, 'exec_quantity': 1.0, 'last_fill_price': 0.47, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T17:24:05.849Z', 'transaction_date': '2024-02-12T17:26:40.372Z', 'class': 'option', 'option_symbol': 'SPXW240212C05065000'}]}
------------------------------------------------
{'id': 48330686, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': -1.3, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:30:05.230Z', 'transaction_date': '2024-02-12T18:39:21.275Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48330687, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 2.15, 'exec_quantity': 1.0, 'last_fill_price': 2.15, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:30:05.230Z', 'transaction_date': '2024-02-12T18:39:21.275Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48330688, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.85, 'exec_quantity': 1.0, 'last_fill_price': 0.85, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:30:05.230Z', 'transaction_date': '2024-02-12T18:39:21.275Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48331609, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'canceled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:32:06.561Z', 'transaction_date': '2024-02-12T18:36:04.450Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48331610, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'canceled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:32:06.561Z', 'transaction_date': '2024-02-12T18:36:04.450Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48331611, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'canceled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:32:06.561Z', 'transaction_date': '2024-02-12T18:36:04.450Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48331829, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 1.0, 'avg_fill_price': 0.95, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:33:09.344Z', 'transaction_date': '2024-02-12T18:33:09.584Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48331830, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.0, 'avg_fill_price': 1.22, 'exec_quantity': 1.0, 'last_fill_price': 1.22, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:33:09.344Z', 'transaction_date': '2024-02-12T18:33:09.584Z', 'class': 'option', 'option_symbol': 'SPXW240212C05050000'}, {'id': 48331831, 'type': 'debit', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.0, 'avg_fill_price': 0.27, 'exec_quantity': 1.0, 'last_fill_price': 0.27, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:33:09.344Z', 'transaction_date': '2024-02-12T18:33:09.584Z', 'class': 'option', 'option_symbol': 'SPXW240212C05060000'}]}
------------------------------------------------
{'id': 48332588, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'canceled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:36:05.640Z', 'transaction_date': '2024-02-12T18:38:03.899Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48332589, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'canceled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:36:05.640Z', 'transaction_date': '2024-02-12T18:38:03.899Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48332590, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'canceled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:36:05.640Z', 'transaction_date': '2024-02-12T18:38:03.899Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48332973, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': -1.3, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:38:04.923Z', 'transaction_date': '2024-02-12T18:39:21.278Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48332974, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 2.15, 'exec_quantity': 1.0, 'last_fill_price': 2.15, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:38:04.923Z', 'transaction_date': '2024-02-12T18:39:21.278Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48332975, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.3, 'avg_fill_price': 0.85, 'exec_quantity': 1.0, 'last_fill_price': 0.85, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:38:04.923Z', 'transaction_date': '2024-02-12T18:39:21.278Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48333855, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 0.45, 'avg_fill_price': 0.45, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:42:05.743Z', 'transaction_date': '2024-02-12T18:42:06.185Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48333856, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 0.45, 'avg_fill_price': 0.6, 'exec_quantity': 1.0, 'last_fill_price': 0.6, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:42:05.743Z', 'transaction_date': '2024-02-12T18:42:06.185Z', 'class': 'option', 'option_symbol': 'SPXW240212C05050000'}, {'id': 48333857, 'type': 'debit', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 0.45, 'avg_fill_price': 0.15, 'exec_quantity': 1.0, 'last_fill_price': 0.15, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:42:05.743Z', 'transaction_date': '2024-02-12T18:42:06.185Z', 'class': 'option', 'option_symbol': 'SPXW240212C05060000'}]}
------------------------------------------------
{'id': 48334255, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 1.7, 'avg_fill_price': -1.75, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:44:06.485Z', 'transaction_date': '2024-02-12T18:44:06.673Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48334256, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.7, 'avg_fill_price': 2.77, 'exec_quantity': 1.0, 'last_fill_price': 2.77, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:44:06.485Z', 'transaction_date': '2024-02-12T18:44:06.673Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48334257, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.7, 'avg_fill_price': 1.02, 'exec_quantity': 1.0, 'last_fill_price': 1.02, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T18:44:06.485Z', 'transaction_date': '2024-02-12T18:44:06.673Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48340525, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 3.05, 'avg_fill_price': -3.1, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T19:18:04.571Z', 'transaction_date': '2024-02-12T19:18:04.887Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48340526, 'type': 'credit', 'symbol': 'SPX', 'side': 'sell_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 3.05, 'avg_fill_price': 5.0, 'exec_quantity': 1.0, 'last_fill_price': 5.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T19:18:04.571Z', 'transaction_date': '2024-02-12T19:18:04.887Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48340527, 'type': 'credit', 'symbol': 'SPX', 'side': 'buy_to_open', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 3.05, 'avg_fill_price': 1.9, 'exec_quantity': 1.0, 'last_fill_price': 1.9, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T19:18:04.571Z', 'transaction_date': '2024-02-12T19:18:04.887Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48347593, 'type': 'market', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'avg_fill_price': 5.1, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T19:57:04.185Z', 'transaction_date': '2024-02-12T19:57:04.356Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48347594, 'type': 'market', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'avg_fill_price': 7.36, 'exec_quantity': 1.0, 'last_fill_price': 7.36, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T19:57:04.185Z', 'transaction_date': '2024-02-12T19:57:04.356Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48347595, 'type': 'market', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'avg_fill_price': 2.26, 'exec_quantity': 1.0, 'last_fill_price': 2.26, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T19:57:04.185Z', 'transaction_date': '2024-02-12T19:57:04.356Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48353446, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 2.35, 'avg_fill_price': 2.35, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:28:49.344Z', 'transaction_date': '2024-02-12T20:29:06.904Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48353447, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 2.35, 'avg_fill_price': 2.62, 'exec_quantity': 1.0, 'last_fill_price': 2.62, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:28:49.344Z', 'transaction_date': '2024-02-12T20:29:06.904Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48353448, 'type': 'debit', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 2.35, 'avg_fill_price': 0.27, 'exec_quantity': 1.0, 'last_fill_price': 0.27, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:28:49.344Z', 'transaction_date': '2024-02-12T20:29:06.904Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48358929, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'price': 1.35, 'avg_fill_price': 1.35, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:54:12.498Z', 'transaction_date': '2024-02-12T20:54:35.950Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48358930, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.35, 'avg_fill_price': 1.4, 'exec_quantity': 1.0, 'last_fill_price': 1.4, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:54:12.498Z', 'transaction_date': '2024-02-12T20:54:35.950Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48358931, 'type': 'debit', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'price': 1.35, 'avg_fill_price': 0.05, 'exec_quantity': 1.0, 'last_fill_price': 0.05, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:54:12.498Z', 'transaction_date': '2024-02-12T20:54:35.950Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48358932, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'canceled', 'duration': 'day', 'price': 2.8, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:54:12.481Z', 'transaction_date': '2024-02-12T20:55:47.034Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48358933, 'type': 'debit', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'canceled', 'duration': 'day', 'price': 2.8, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:54:12.481Z', 'transaction_date': '2024-02-12T20:55:47.034Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48358934, 'type': 'debit', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'canceled', 'duration': 'day', 'price': 2.8, 'avg_fill_price': 0.0, 'exec_quantity': 0.0, 'last_fill_price': 0.0, 'last_fill_quantity': 0.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:54:12.481Z', 'transaction_date': '2024-02-12T20:55:47.034Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
------------------------------------------------
{'id': 48359219, 'type': 'market', 'symbol': 'SPX', 'side': 'buy', 'quantity': 2.0, 'status': 'filled', 'duration': 'day', 'avg_fill_price': 5.45, 'exec_quantity': 2.0, 'last_fill_price': 0.0, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:55:57.114Z', 'transaction_date': '2024-02-12T20:55:57.281Z', 'class': 'multileg', 'num_legs': 2, 'strategy': 'spread', 'leg': [{'id': 48359220, 'type': 'market', 'symbol': 'SPX', 'side': 'buy_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'avg_fill_price': 5.67, 'exec_quantity': 1.0, 'last_fill_price': 5.67, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:55:57.114Z', 'transaction_date': '2024-02-12T20:55:57.281Z', 'class': 'option', 'option_symbol': 'SPXW240212P05025000'}, {'id': 48359221, 'type': 'market', 'symbol': 'SPX', 'side': 'sell_to_close', 'quantity': 1.0, 'status': 'filled', 'duration': 'day', 'avg_fill_price': 0.22, 'exec_quantity': 1.0, 'last_fill_price': 0.22, 'last_fill_quantity': 1.0, 'remaining_quantity': 0.0, 'create_date': '2024-02-12T20:55:57.114Z', 'transaction_date': '2024-02-12T20:55:57.281Z', 'class': 'option', 'option_symbol': 'SPXW240212P05015000'}]}
    
    
    """